Workspace groups
Set or update workspaces
Sets or replaces all Workspaces in the specified workspace group with the provided list. This is a replacement operation, not incremental update: all existing Workspaces are replaced. Returns a summary with the total Workspaces in the group after the update.
PUT
/
v1
/
organizations
/
{organization_id}
/
workspace-groups
/
{workspace_group_id}
/
workspaces
curl --request PUT \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_ids": [
"507f1f77bcf86cd799439030",
"507f1f77bcf86cd799439031"
]
}
'{
"message": "<string>",
"total_in_group": 123
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the organization
Maximum string length:
24Pattern:
^[0-9a-f]{24}$The unique identifier of the workspace group
Maximum string length:
24Pattern:
^[0-9a-f]{24}$Body
application/json
Array of Workspace IDs
Maximum string length:
24Pattern:
^[0-9a-f]{24}$⌘I
curl --request PUT \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_ids": [
"507f1f77bcf86cd799439030",
"507f1f77bcf86cd799439031"
]
}
'{
"message": "<string>",
"total_in_group": 123
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}